package net.roseindia;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.interceptor.PreResultListener;

public class PreResultListenerExample extends ActionSupport{
	private static final long serialVersionUID = 1L;
	public String control=INPUT;
	
	String name;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public String execute() throws Exception {
		 ActionContext context=ActionContext.getContext();
         ActionInvocation invocation=context.getActionInvocation();
         invocation.addPreResultListener(new PreResultListener() {
        	   public void beforeResult(ActionInvocation invocation, String resultCode){
                  // perform operation necessary before Result execution
            	  System.out.println("Executing Action - "+invocation.getAction());
            	     if(getName().equalsIgnoreCase("roseindia")){
            		  System.out.println(getName());
            		  invocation.setResultCode(SUCCESS);
            	  }
            	  else{
            		  System.out.println("Going to error page "+getName());
            		  invocation.setResultCode(ERROR);
            	  }
            	}
            });                 
		return control;
     }
  }